LockInfo won't install

#1
Ok, so I got the jailbreak to work! yay! Cydia is installed, although it seems to time out a lot.
Now I'm trying to install LockInfo and I keep getting this error:

"Note: The requested modifications cannot be applied due to required dependencies or conflicts that cannot by automatically found or fixed.

Then ---
Modifications:
Install LockInfo Mobile Substrate"

Help! What does this mean?
 
#2
Apparently I am getting this error with most of the apps I try to install. Is this just because the servers are all jammed? or do I have another issue?
Thanks for any help!